Bug 191732 - Incorrect ABNT2 keyboard layout: key 42 and 45 generates incorrect keysyms
Incorrect ABNT2 keyboard layout: key 42 and 45 generates incorrect keysyms
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 11:05 EDT by Peter Åstrand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 11:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of Layout View and incorrect xmodmap setting (110.65 KB, image/png)
2006-05-16 02:51 EDT, Peter Åstrand
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7069 None None None Never

  None (edit)
Description Peter Åstrand 2006-05-15 11:05:56 EDT
The X11 ABNT2 keyboard layout is not quite correct. Two keys are wrong:

* Key 42[*] (keycode 51, the third key to the right of L) should generate
bracketright/braceright/ordfeminine, but currently generates backslash/bar. 

* Key 45[*] (keycode 94, the key to the left of Z) should generate
backslash/bar, but currently generates less/greater/bar. 

[*]: As defined by the MS Keyboard Scan Code Specification. 

xorg-x11-server-Xorg-1.0.1-9.fc5.1.1 and have installed all FC5 updates as of
2006-05-15. 


How reproducible:


Steps to Reproduce:
1. Start GNOME
2. Start Preferences->Keyboard->Layouts. 
3. Select the Brazil ABNT2 model and the Brazil layout. 
  
One additional strangeness is that when using the Keyboard Layout Applet and
selecting Layout View, it shows the correct symbols for these keys. Thus, the
displayed layout does not match the actual layout.
Comment 1 Peter Åstrand 2006-05-16 02:51:45 EDT
Created attachment 129158 [details]
Screenshot of Layout View and incorrect xmodmap setting
Comment 2 Mike A. Harris 2006-05-23 10:26:10 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Peter Åstrand 2006-05-29 10:31:20 EDT
Bug filed in the X.Org Bugzilla. 
Comment 4 Peter Åstrand 2006-05-29 10:33:02 EDT
URL to X.Org bug: https://bugs.freedesktop.org/show_bug.cgi?id=7069
Comment 5 Peter Åstrand 2007-04-07 15:13:30 EDT
Is this bug really fixed? https://bugs.freedesktop.org/show_bug.cgi?id=7069 is
still NEW. 

If the bug *is* fixed, I'd like some information in which version/revision the
bug was fixed. 
Comment 6 Matěj Cepl 2007-04-10 11:36:40 EDT
I didn't say that it is FIXED -- read on
https://bugzilla.redhat.com/bugzilla/page.cgi?id=fields.html#upstream what
CLOSED/UPSTREAM means.

Note You need to log in before you can comment on or make changes to this bug.